Download it now!
Bug 131070 - FILEOPEN DOCX Bulleted paragraph left indent changes inside table
Summary: FILEOPEN DOCX Bulleted paragraph left indent changes inside table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOCX-Tables DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-03-02 12:22 UTC by NISZ LibreOffice Team
Modified: 2020-06-10 07:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (163.08 KB, image/png)
2020-03-02 12:23 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-03-02 12:22:42 UTC
Description:
In unit test file sw\qa\extras\ooxmlexport\data\tdf118812_tableStyles-comprehensive.docx
The last cell of the table contains a bulleted paragraph with paragraph settings Left indent 0.63 cm, Right indent 2.54 cm and hanging indent 0.63 cm.
Opening this in Writer sets the Left indent to 2.54 cm and the hanging indent to 0, while the Right indent is correct.


Steps to Reproduce:
Open unit test file sw\qa\extras\ooxmlexport\data\tdf118812_tableStyles-comprehensive.docx

Actual Results:
Last cell text has large left indent.

Expected Results:
Same indents as the original.


Reproducible: Always


User Profile Reset: No



Additional Info:
Verzió: 7.0.0.0.alpha0+ (x64)
Build az.: a0e8a42a45abc7e626346bf01903ed81a026287d
CPU szálak: 8; OS: Windows 10.0 Build 17134; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-03-02 12:23:11 UTC
Created attachment 158309 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Dieter 2020-03-02 20:27:13 UTC Comment hidden (obsolete)
Comment 3 NISZ LibreOffice Team 2020-03-03 12:59:55 UTC
(In reply to Dieter from comment #2)
> Sorry, but I'm not really sure, which file from bug 118812 I should use.
> Would be nice, if you can attach it here
> 
> => NEEDINFO

It's attachment #154853 [details]
Comment 4 Dieter 2020-03-03 16:12:34 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 5 NISZ LibreOffice Team 2020-05-27 07:12:31 UTC
Looking a bit more at the last three numbered / bulleted paragraphs in the table, they all have somewhat different indent settings compared to Word:

""Numbering effect""

In Word: 
- Left 0.63 cm from Direct format (2.54 cm from Table style), 
- Right: 0 (from Table style), 
- Hanging: 0.63 cm from Direct format (not specified in Table style).
In Writer: Left 2.54 cm , Right: 0, Hanging: 0.

""Numbering effect can only apply to LRSpaceItem, and not to ULSpace, or linespacing""

In Word:
- Left: 0.63 cm from Direct format (2.54 cm from Table style)
- Right: 3 cm from Direct format (0 from Table style, )
- Hanging: 0.63 cm from Direct format (not specified in Table style)
In Writer: Left 1.26 cm, Right 3 cm, Hanging: -0.63 cm

""Numbering effects on character properties only affect the numbering,, not the whole  paragraph""

In Word:
- Left: 0.63 cm  from Direct format (0 from paragraph style ParaSubStyleDefaults, 2.54 cm from Table style)
- Right: 2.54 cm from paragraph style ParaSubStyleDefaults (0 from Table style)
- Hanging: 0.63 cm  from Direct format
In Writer: Left 2.54 cm, Right: 2.54 cm, Hanging: 0
Comment 6 Commit Notification 2020-06-10 07:09:43 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/20ba8d8d9f4fcf7d5826fcb3366a9bff0d6a8ca1

tdf#131070 DOCX import: fix indentation of direct numbering

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.